/*
 * Copyright 2008 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 */


/*
 * EventStatus.hpp
 *
 *  Created on: 2011/01/24
 *      Author: HARK Development Team
 */

#ifndef EVENTSTATUS_HPP_
#define EVENTSTATUS_HPP_

namespace NSHarkBinaural
{

struct EventStatus
{
    typedef enum {
        ONSET,      /// イベント生起状態
        DURATION,   /// イベント持続状態
        PAUSE,      /// イベントは持続しているが入力が途切れている状態
        OFFSET,     /// イベント終了状態
    } Kind;
};

}

#endif /* EVENTSTATUS_HPP_ */
